<!-- Copyright 2018 The TensorFlow Hub Authors. All Rights Reserved.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
==============================================================================-->

# TensorFlow Hub

TensorFlow Hub is a library to foster the publication, discovery, and
consumption of reusable parts of machine learning models. In particular,
it provides **modules**, which are pre-trained pieces of TensorFlow models
that can be reused on new tasks.


## Getting Started

*   [Introduction](docs/index.md)
*   [Installation](docs/installation.md)
*   Tutorials:
    *   [Image Retraining](https://www.tensorflow.org/tutorials/image_retraining)
    *   [Text Classification](https://www.tensorflow.org/tutorials/text_classification_with_tf_hub)
    *   [Additional Examples](examples/README.md)
*   Key Concepts:
    *   [Using a Module](docs/basics.md)
    *   [Creating a New Module](docs/creating.md)
    *   [Fine-Tuning a Module](docs/fine_tuning.md)
*   Modules:
    *   [Available Modules](docs/modules/index.md) -- quick links:
        [image](docs/modules/image.md), [text](docs/modules/text.md),
        [other](docs/modules/other.md)
    *   [Common Signatures for Modules](docs/common_signatures/index.md)


## Contributing

If you'd like to contribute to TensorFlow Hub, be sure to review the
[contribution guidelines](CONTRIBUTING.md). This project adheres to TensorFlow's
[code of
conduct](https://github.com/tensorflow/tensorflow/blob/master/CODE_OF_CONDUCT.md). By
participating, you are expected to uphold this code.

We use [GitHub issues](https://github.com/tensorflow/hub/issues) for tracking
requests and bugs. Please see the [TensorFlow Hub mailing
list](https://groups.google.com/a/tensorflow.org/forum/#!forum/hub) for general
questions and discussion.


## License

[Apache License 2.0](LICENSE)
