# Examples

## Notebooks

#### [`colab/text_classification_with_tf_hub.ipynb`](colab/text_classification_with_tf_hub.ipynb)

Uses a TensorFlow Hub text embedding module to train a sentiment classifier with TF-Estimators.


#### [`colab/text_classification_with_tf_hub_on_kaggle.ipynb`](colab/text_classification_with_tf_hub_on_kaggle.ipynb)

Shows how to solve a problem on Kaggle with TF-Hub.


#### [`colab/semantic_similarity_with_tf_hub_universal_encoder.ipynb`](colab/semantic_similarity_with_tf_hub_universal_encoder.ipynb)

Explores text semantic similarity with the [Universal Encoder Module](https://tfhub.dev/google/universal-sentence-encoder/1).


#### [`colab/tf_hub_generative_image_module.ipynb`](colab/tf_hub_generative_image_module.ipynb)

Explores a generative image module.


#### [`colab/tf_hub_delf_module.ipynb`](colab/tf_hub_delf_module.ipynb)

Exemplifies use of the [DELF Module](https://tfhub.dev/google/delf/1) for landmark recognition and matching.


## Python scripts

#### [`image_retraining`](image_retraining)

Shows how to train an image classifier based on any TensorFlow Hub module that
computes image feature vectors.


#### [`text_embeddings`](text_embeddings)

Contains an example tool to generate a text embedding module from a csv file
with word embeddings.

#### [`half_plus_two`](half_plus_two)

Simple example of how to create a TensorFlow Hub Module.
